from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XTransactionBroadcaster(XInterface, Protocol):
    def addTransactionListener(self, aListener: XTransactionListener) -> None: ...
    def removeTransactionListener(self, aListener: XTransactionListener) -> None: ...
